/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package battle;

import java.awt.event.MouseAdapter;
import java.awt.event.MouseEvent;

/**
 *
 * @author jub
 * This is the mouse adapter and will create a ship in World 
 * (and it will eventually show on screen) at click. 
 */
public class MListener extends MouseAdapter {

    private World world;

    /**Constructor, it creates Mouse listener
    @param _world World in which to create the SElements (ships).
     */
    MListener(World _world, MainPanel _panel) {
        world = _world;
    }

    /**Creates ship in world at click.*/
    @Override
    public void mousePressed(MouseEvent e) {
        Vector2D position = new Vector2D(e.getX(), e.getY());
        world.addElement(new SElement(world, position, 20));
    }
}
