/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package battle;

import java.util.ArrayList;

import javax.swing.JFrame;
/**
 *
 * @author jub
 * Frame in which the magic happens.
 */
public class MainFrame extends JFrame {
   private World world;
   private MainPanel mainPanel;
   private float timer;
   
   /**Constructor, creates frame in which magic happens.*/
   public MainFrame() {
	  timer=0;
      setTitle("TestArena");
      setSize(World.WIDTH, World.HEIGHT+50);
      world = new World();
      mainPanel = new MainPanel(world);
      add(mainPanel);  // it is equivalent to getContentPane().add(...);
      world.setPanel(mainPanel);   // to repaint view when model changes
   }
   /**Returns Elements to be rendered in 3D.*/
   public ArrayList<Element> getElement(){
	   return world.getUpdatedElements();
   }
   
   /**Update cicle.
    @param t Used to sync 3D Render update with simulation update.
    */
   public void update(float t){
	   timer+=t;
	   if ((timer)>0.02f){
		   timer-=0.02f;
	   world.update();
       //if (step++ % refreshStep == 0) {
    	   mainPanel.repaint();}
       //}
   }
}
