package glgame;

import org.lwjgl.opengl.GL11;

import glmodel.GL_Vector;

public class Compass extends GraphicsEntitie{

	private Nave nave;
	/**
	 * 
	 * @param name nombre de modelo3D
	 */
	public Compass(String name){
		super(name);
		location=new GL_Vector(0, 0, 0);
	}
	
	/**
	 * Perfilarse a la izquierda del mdoelo a seguir
	 */
	public void setPosition(){
		if (nave!=null){
			setLocation(nave.getLocation());
			GL_Vector vector=new GL_Vector(nave.getSideVector());
			vector.mult(0.25f);
			location.add(vector);
		}
	}
	
	/**
	 * 
	 * @param arg tomar la posicion arg
	 */
	private void setLocation(float[] arg){
		location.x=arg[0];
		location.y=arg[1];
		location.z=arg[2];
	}
	
	/**
	 * modelo a seguir
	 * @param n modelo a seguir
	 */
	public void setEntitie(Nave n){
		nave=n;
	}
	
	/**
	 * render de compass
	 */
	public void render(){
		GL11.glPushMatrix();
        {
        	GL11.glTranslatef(location.x,location.y,location.z);
        	

        	GL11.glScalef(0.5f,0.5f, 0.5f);
        	models3Dcompilation.getModels3Dcompilation().render(mainModel);
        }
        GL11.glPopMatrix();	

	}

}
