/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package battle;

import java.awt.Color;

/**
 *
 * @author jub
 * Graphical circular bullet.
 */
public class Bullet extends GElement {

    private final Vector2D direction;

    {
        --id;
    }

    /**Constructor, it creates a bullet with specified properties.
     * @param _id Bullet identifier number.
     * @param color Bullet color.
     * @param pos Initial position.
     * @param dir Initial direction.
     * @param size Bullet size.
     * @param speed Bullet speed.
     */
    public Bullet(int _id, Color color, Vector2D pos, Vector2D dir, int size, int speed) {

        super(pos, size);
        direction = new Vector2D(dir.getX(), dir.getY());
        ang = (int) Math.atan(dir.getY() / dir.getX());
        eId = _id;
        setSpeed(speed);
        setDir(direction);
        setColor(color);
    }

    /**Moves the bullet.*/
    public void shoot() {
        forward();
    }
}
