package glgame;

import org.lwjgl.opengl.GL11;
import org.lwjgl.util.glu.GLU;

import glapp.GLApp;
import glapp.GLImage;


public class GLApp_SpaceWar extends GLApp{

	public int textureMap=0;
	public GLImage map;
	protected int plano=0;
	
	public Nave nave;
	
	public static void main (String args[]){
		GLApp_SpaceWar demo = new GLApp_SpaceWar();
		GLApp_SpaceWar.window_title = "GLApp SpaceWar";
		GLApp_SpaceWar.displayWidth = 800;
		GLApp_SpaceWar.displayHeight = 600;
        demo.run();
		
		
	}
	
	public void setup(){
		textureMap = makeTexture("/images/Space.png");
		map = loadImage("/images/sky.jpg");
		setPerspective();
		
		setLight( GL11.GL_LIGHT1,
        		new float[] { 1.0f, 1.0f, 1.0f, 1.0f },   // diffuse color
        		new float[] { 0.2f, 0.2f, 0.2f, 1.0f },   // ambient
        		new float[] { 1.0f, 1.0f, 1.0f, 1.0f },   // specular
        		new float[] { 0f, 0f, 0f, 1f } );                         // position
		
		//luz ambiental
		
		setAmbientLight(new float[] { 0.0f, 0.0f, 0.0f, 0.0f });
		
		
		plano = beginDisplayList();
			renderPlane(14.3f,14.3f,1,1);
    	endDisplayList();
		
    	/*
    	 * Colocar los objetos naves aqui
    	 * 
    	 */
    	
    	nave=new Nave("nave");
    	
		//havilitar texturas y luces
		GL11.glEnable(GL11.GL_LIGHTING);
    	GL11.glEnable(GL11.GL_TEXTURE_2D);
	}
	
	
	public static void setPerspective(){
        // select projection matrix (controls perspective)
        GL11.glMatrixMode(GL11.GL_PROJECTION);
        GL11.glLoadIdentity();
        // fovy, aspect ratio, zNear, zFar
        GLU.gluPerspective(30f, aspectRatio, 1f, 100f);
        // return to modelview matrix
        GL11.glMatrixMode(GL11.GL_MODELVIEW);
		
	}
	
	public void draw(){
		
		//LImpiar Frame
		GL11.glClear(GL11.GL_COLOR_BUFFER_BIT | GL11.GL_DEPTH_BUFFER_BIT);
		
		//drawImageFullScreen(map);
		// select model view for subseqent transforms
        GL11.glMatrixMode(GL11.GL_MODELVIEW);
        GL11.glLoadIdentity();
        
        
        //posicionamos la camara
        GLU.gluLookAt(0f, 15f, 0f,  // Donde esta la camara
    			0f, 0, 0f,    // A que punto esta mirando
    			0f, 0f, 1f);    // donde esta arriba
        
        
        //crear el plano
        setMaterial(
        		new float[] {1.0f, 1.0f, 1.0f, 1.0f},   // diffuse color
        		new float[] {1.0f, 1.0f, 1.0f, 1.0f},   // ambient
        		new float[] {0.0f, 0.0f, 0.0f, 1.0f},   // specular
        		new float[] {1.0f, 1.0f, 1.0f, 1.0f},   // emissive
        		0f);        // not shiny
        
        GL11.glBindTexture(GL11.GL_TEXTURE_2D, textureMap);
       
        
        
        GL11.glPushMatrix();
		{
            
			GL11.glTranslatef(0f, -5f, 1f); // down a bit
			GL11.glRotatef(-90, 1, 0, 0);
			callDisplayList(plano);
			
		}
        GL11.glPopMatrix();
        
        
        /*
         * Ya completar aca con un ciclo repetetivo de todos los Ghapics entities
         * 
         * 
         */
        
        nave.render();
	}
	
	public void update(){
		/*
		 * Update de todas las naves
		 * 
		 * 
		 */
		nave.handleNavKeys((float)GLApp.getSecondsPerFrame());
	}
	
}
