package glgame;

import glmodel.GL_Vector;

public abstract class GraphicsEntitie {

	protected GL_Vector location;
	protected String mainModel;
	
	protected GraphicsEntitie(String modelName){
		mainModel = modelName;
	}
	
	
	/**
	 * Casi todos los casos render, sera ejecutar el render de su mainModel.
	 * Aun asi puede cambiar cuando tenga mas de un objeto GLModel
	 * o el GLModel debe ser alterado antes de renderiar, como un rotate o un translate
	 * caso general
	 * 
	 * GL11.glPushMatrix();
        {
            models3Dcompilation.getModels3Dcompilation().render(mainModel);      
        }
        GL11.glPopMatrix();
	 * 
	 */
	public abstract void render();
}
