package glgame;

import java.util.Vector;

public class models3Dcompilation {

	
	private Vector <models3D> modelsList;
	
	private static models3Dcompilation w=new models3Dcompilation();
	
	/**
	 * Esta clase contiene un contructor privado, ademas contiene un objeto privado de su clase al incialisarse el codigo, de esta forma solo existe un objeto y pro medio de esta funcion es la unicaforma de referenciarse a el
	 * @return devuelve el objeto unico models3Dcompilation, el cual contiene la lista de objetos 3d que se pueden renderiar.
	 */
	public static models3Dcompilation getModels3Dcompilation(){
		return w;
	}
	/**
	 * 
	 * Lista de modelos 3D a almacenar, cada modelo3D debe incluir un nombre o identificador y luego su fuente *.obj
	 */
	private models3Dcompilation(){
		modelsList=new Vector<models3D>();
		
		modelsList.add(new models3D("fondo", "/models/BackGround/BackGround.obj"));
		modelsList.add(new models3D("nave", "/models/SpaceShip/SpaceShip.obj"));
		modelsList.add(new models3D("bala", "/models/Bullet/Bullet.obj"));
		modelsList.add(new models3D("compass", "/models/Compass/Compass.obj"));
	}
	/**
	 * 
	 * Busca primer Modelo3D con identificador "_name" y lo renderea
	 * 
	 * @param _name, Nombre de modelo 3D para renderiar
	 */
	public void render(String _name){
		for (models3D i:modelsList){
			if (_name==i.getName()){
				i.render();
				break;
			}
		}
	}
	
	
}
